sattach(1)

NAME

sattach - Attach to a Slurm job step.

SYNOPSIS

sattach [options] <jobid.stepid>

DESCRIPTION

sattach attaches to a running Slurm job step. By attaching, it makes available the IO streams of all of the tasks of a running Slurm job step. It also suitable for use with a parallel debugger like TotalView.

OPTIONS

-h, --help
    Display help information and exit.

--input-filter[=]<task number>
--output-filter[=]<task number>
--error-filter[=]<task number>
    Only transmit standard input to a single task, or print the standard output or standard error from a single task. The filtering is performed locally in sattach.

-l, --label
    Prepend each line of task standard output or standard error with the task number of its origin.

--layout
    Contacts the slurmctld to obtain the task layout information for the job step, prints the task layout information, and then exits without attaching to the job step.

--pty
    Execute task zero in pseudo terminal. Not compatible with the --input-filter, --output-filter, or --error-filter options. Notes: The terminal size and resize events are ignored by sattach. Proper operation requires that the job step be initiated by srun using the --pty option.

-Q, --quiet
    Suppress informational messages from sattach. Errors will still be displayed.

-u, --usage
    Display brief usage message and exit.

-V, --version
    Display Slurm version number and exit.

-v, --verbose
    Increase the verbosity of sattach's informational messages. Multiple -v's will further increase sattach's verbosity.

INPUT ENVIRONMENT VARIABLES

Upon startup, salloc will read and handle the options set in the following environment variables. Note: Command line options always override environment variables settings.

SLURM_CONF
    The location of the Slurm configuration file.

SLURM_EXIT_ERROR
    Specifies the exit code generated when a Slurm error occurs (e.g. invalid options). This can be used by a script to distinguish application exit codes from various Slurm error conditions.

EXAMPLES

sattach 15.0 sattach --output-filter 5 65386.15

COPYING
Copyright (C) 2006-2007 The Regents of the University of California. Produced at Lawrence Livermore National Laboratory (cf, DISCLAIMER).
Copyright (C) 2008-2009 Lawrence Livermore National Security.
Copyright (C) 2010-2013 SchedMD LLC.

This file is part of Slurm, a resource management program. For details, see <https://slurm.schedmd.com/>.

Slurm is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

Slurm is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO

sinfo(1), salloc(1), sbatch(1), squeue(1), scancel(1), scontrol(1), slurm.conf(5), sched_setaffinity (2), numa (3)